import React from 'react';
import './index.css';


const isObject = (o) => (
    o !== null && typeof o === 'object'
)

const JSONForm = ({data}) => (
    <div className="json-form">
        {
            Object.keys(data).map(
                key => (
                    <div
                        key={key}
                        className="json-field"
                    >
                        <label>{key}</label>
                        {
                            isObject(data[key]) ? (
                                <JSONForm
                                    data={data[key]}
                                />
                            ) : (
                                <input
                                    type="text"
                                    value={data[key] || ""}
                                    readOnly
                                />
                            )
                        }
                    </div>
                )
            )
        }
    </div>
)

export default JSONForm;
